Bug 306231 - Update default application for tiff images to be more compatible
Update default application for tiff images to be more compatible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 20:15 EDT by David Campbell
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-09-25 20:15:07 EDT
Description of problem:

By default, Fedora 7 makes eye of gnome the default viewer for tiff images but
there's a problem in that because eye of gnome is not capable of opening
multi-page tiff files (scans).  Multi-page tiff files are extremely common in
businesses (paperless office etc) and having the default application not be able
to open them we find bizarre.  It turns out that in most nautilus windows, the
"Open With" option can be used to select "Document Viewer" is evince which can
open the tiff files, but opening tiff files with a "Document Viewer" to many
users seems incompatible so they don't even try it, and when using nautilus to
search for files, there is no "Open With" option available to open them with evince.

Thus we request:
1.  Making "Document Viewer" (evince) be the default application to view tiff
images, which can view both scans and images.
2.  By default, enabling "Document Viewer" as a menu item under Applications. 
Currently the default behaviour is to have it disabled.

In more detail:

From nautilus, it is possible to pull down Open With and choose Document viewer
(which is evince and does work), but to the average user, a tiff image is not a
document in the normal sense, and they wouldn't select document viewer in the
same way that they wouldn't normally try to open a tiff image with OpenOffice.

Thus it doesn't even enter into users minds to select Document Viewer and it
leaves the user in the situation of thinking that Linux is stupid because it
appears that there's no way of opening multi-page tiff files.

Frustrated, the user then goes looking through the Applications menu trying to
find something that can open multi-page tiff files, and it just so happens that
by default, "Document Viewer" does not appear under the Applications menu at
all, which further convinces them that there is no application to be able to
view tiff images on Linux.

To make the problem worse, if you use gnome Places/Search for Files to search,
you cannot use anything but the default application for opening the files, and
it is impossible to select Document Viewer there.

Version-Release number of selected component (if applicable):

Gnome 2.18.3
Comment 1 Bug Zapper 2008-05-14 10:30:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-11-26 02:51:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-08 23:54:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.